import Person from 'models/person'

class Persons {
  /**
   * @description create person
   * @param {Person} person
   * @route POST /
   */
  create(person: Person) {
    return Backendless.Data.of('Person').save<Person>(person)
  }

  /**
   * @description load persons
   * @return Person[]
   * @route GET /
   */
  load() {
    return Backendless.Data.of('Person').find<Person>()
  }
}

Backendless.ServerCode.addService(Persons)
